package com.sonic.cow.client.rtc.callback.conversation;

import lombok.Getter;

/**
 * @description:
 * @author: mzc
 * @date: 2025-08-24 17:13
 **/
@Getter
public enum StageCode {
    LISTENING(1, "listening"),
    THINKING(2, "thinking"),
    ANSWERING(3, "answering"),
    INTERRUPTED(4, "interrupted"),
    ANSWER_FINISH(5, "answerFinish");

    private final int code;
    private final String description;

    StageCode(int code, String description) {
        this.code = code;
        this.description = description;
    }
}

